Seedream-4.5 Image Generation
curl --request POST \
--url https://apiif.com/v1/images/generations/seedream-4-5 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seedance-4-5",
"prompt": "A cute panda playing in a bamboo forest",
"size": "1:1",
"resolution": "2K",
"n": 1,
"image_urls": [
"https://cdn.apiif.com/doc/1761215838466614297_9852.png"
]
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apiif.com/v1/images/generations/seedream-4-5"
payload := strings.NewReader("{\n \"model\": \"doubao-seedance-4-5\",\n \"prompt\": \"A cute panda playing in a bamboo forest\",\n \"size\": \"1:1\",\n \"resolution\": \"2K\",\n \"n\": 1,\n \"image_urls\": [\n \"https://cdn.apiif.com/doc/1761215838466614297_9852.png\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://apiif.com/v1/images/generations/seedream-4-5")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"doubao-seedance-4-5\",\n \"prompt\": \"A cute panda playing in a bamboo forest\",\n \"size\": \"1:1\",\n \"resolution\": \"2K\",\n \"n\": 1,\n \"image_urls\": [\n \"https://cdn.apiif.com/doc/1761215838466614297_9852.png\"\n ]\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'doubao-seedance-4-5',
prompt: 'A cute panda playing in a bamboo forest',
size: '1:1',
resolution: '2K',
n: 1,
image_urls: ['https://cdn.apiif.com/doc/1761215838466614297_9852.png']
})
};
fetch('https://apiif.com/v1/images/generations/seedream-4-5', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://apiif.com/v1/images/generations/seedream-4-5';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'doubao-seedance-4-5',
prompt: 'A cute panda playing in a bamboo forest',
size: '1:1',
resolution: '2K',
n: 1,
image_urls: ['https://cdn.apiif.com/doc/1761215838466614297_9852.png']
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));
import Foundation
let parameters = [
"model": "doubao-seedance-4-5",
"prompt": "A cute panda playing in a bamboo forest",
"size": "1:1",
"resolution": "2K",
"n": 1,
"image_urls": ["https://cdn.apiif.com/doc/1761215838466614297_9852.png"]
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://apiif.com/v1/images/generations/seedream-4-5")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self)){
"code": 200,
"data": [
{
"status": "submitted",
"task_id": "task_01K8SGYNNNVBQTXNR4MM964S7K"
}
]
}{
"error": {
"code": 123,
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>",
"type": "<string>"
}
}Image Series
Seedream-4.5 Image Generation
Asynchronous image generation (Seedream-4.5). Returns a task id for checking generation status.
POST
/
v1
/
images
/
generations
/
seedream-4-5
Seedream-4.5 Image Generation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Image generation model name
Text description for image generation
Aspect ratio (e.g., 1:1, 16:9)
Output resolution (1K/2K/4K)
Number of images to generate
Required range:
1 <= x <= 15Reference image URLs (for image-to-image / editing)
Mask image URL (PNG) for editing
Whether to add a watermark
Controls sequential generation (auto/disabled)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Task submitted
⌘I